petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetRegionNumDS

Get the PetscDS for a given mesh region, defined by the region number

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetRegionNumDS(DM dm, PetscInt num, DMLabel *label, IS *fields, PetscDS *ds)

Not collective

### Input Parameters

| dm | - The DM
| num | - The region number, in [0, Nds)

### Output Parameters

| label | - The region label, or NULL
| fields | - The IS containing the DM field numbers for the fields in this DS, or NULL
| prob | - The PetscDS defined on the given region, or NULL

### See Also

DMGetRegionDS(), DMSetRegionDS(), DMGetDS(), DMGetCellDS()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages